<?xml version="1.0" encoding="UTF-8"?>

<ROOT>
    <CONSTANT package="performa.orm.types"  name="AppFilter">
                
        <DATA   name="IsRoot"       type="Boolean"/>
        <DATA   name="ChildNodes"   type="AppFilter[]"/>
        <DATA   name="ParentNode"   type="AppFilter"/>
         
        <VALUE name="REQ"               description="Requirements"                      IsRoot="Boolean.TRUE"   ChildNodes='new AppFilter[] {AppFilter.REQ_MET, AppFilter.REQ_NOT_MET}'/>
        <VALUE name="REQ_MET"           description="Met"                               IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.REQ"/>
        <VALUE name="REQ_NOT_MET"       description="Not Met"                           IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.REQ"/>
        <VALUE name="GENDER"            description="Gender"                            IsRoot="Boolean.TRUE"   ChildNodes='new AppFilter[] {AppFilter.GENDER_MAN, AppFilter.GENDER_WOMAN, AppFilter.GENDER_OTHER}'/>
        <VALUE name="GENDER_MAN"        description="Man"                               IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.GENDER"/>
        <VALUE name="GENDER_WOMAN"      description="Woman"                             IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.GENDER"/>
        <VALUE name="GENDER_OTHER"      description="Other"                             IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.GENDER"/>
        <VALUE name="ATSI"              description="ATSI"                              IsRoot="Boolean.TRUE"   ChildNodes='new AppFilter[] {AppFilter.ATSI_ABORIGINAL, AppFilter.ATSI_TSI, AppFilter.ATSI_BOTH}'/>
        <VALUE name="ATSI_ABORIGINAL"   description="Aboriginal"                        IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.ATSI"/>
        <VALUE name="ATSI_TSI"          description="Torres Strait Islander"            IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.ATSI"/>
        <VALUE name="ATSI_BOTH"         description="Both"                              IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.ATSI"/>
        <VALUE name="DISABLED"          description="Disability"                        IsRoot="Boolean.TRUE"   ChildNodes='new AppFilter[] {AppFilter.DISABLED_HEARING, AppFilter.DISABLED_LEARNING, AppFilter.DISABLED_MEDICAL, AppFilter.DISABLED_SIGHT, AppFilter.DISABLED_SPEECH , AppFilter.DISABLED_ARMS , AppFilter.DISABLED_LEGS , AppFilter.DISABLED_OTHER }'/>
        <VALUE name="DISABLED_HEARING"  description="Hearing"                           IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_LEARNING" description="Learning"                          IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_MEDICAL"  description="Medical / Physical / Psychiatric"  IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_SIGHT"    description="Sight"                             IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_SPEECH"   description="Speech"                            IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_ARMS"     description="Use of Arms and Hands"             IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_LEGS"     description="Use of Legs"                       IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        <VALUE name="DISABLED_OTHER"    description="Other"                             IsRoot="Boolean.FALSE"  ChildNodes='new AppFilter[] {}' ParentNode="AppFilter.DISABLED"/>
        
    </CONSTANT>
</ROOT>